Bug 373921 - If the fqdn is not the first name specified in /etc/hosts, the installer does not notify the admin
Summary: If the fqdn is not the first name specified in /etc/hosts, the installer does...
Status: CLOSED UPSTREAM
Alias: None
Product: freeIPA
Classification: Retired
Component: build   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Karl MacMillan
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-09 22:12 UTC by Michael Gregg
Modified: 2015-01-04 23:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 15:23:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Gregg 2007-11-09 22:12:37 UTC
Description of problem:
If the fqdn is not the first name specified in /etc/hosts for the server you are
installing on, several tools will break. 
The installer needs to detect this misconfiguration and warn the admin.
the entry in /etc/hosts needs to be of the following format:
<machine ip> <machine fqdn> <machine name>

Version-Release number of selected component (if applicable):


How reproducible:
I did a install with the following command:
/usr/sbin/ipa-server-install -U --hostname=ipaqavm.dsqa.sjc2.redhat.com -r
DSQA.SJC2.REDHAT.COM -p Secret123 -P Secret123 -a Secret123 --setup-bind -u admin -d
My /etc/hosts looked like this:
127.0.0.1               localhost.localdomain localhost
10.14.0.110             ipaqavm ipaqavm.dsqa.sjc2.redhat.com

Actual results:
The installer completed without any errors

Expected results:
The installer to throw a error, and suggest a correct host entry.

Additional info:

Comment 1 Karl MacMillan 2007-11-13 15:23:44 UTC
Filed upstream bug:

https://hosted.fedoraproject.org/projects/freeipa/ticket/93#preview


Note You need to log in before you can comment on or make changes to this bug.